Skip to main content
POST
Create AI CM:soft_nudity task

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Body

application/json
task_name
enum<string>
required

Name of the task to be performed

Available options:
content-moderation
url
string
required

URL to the MP4 file to analyse. File must be publicly accessible via HTTP/HTTPS.

category
enum<string>
required

AI content moderation with "soft_nudity" algorithm

Available options:
soft_nudity
client_user_id
string

Meta parameter, designed to store your own identifier. Can be used by you to tag requests from different end-users. It is not used in any way in video processing.

Maximum string length: 256
client_entity_data
string

Meta parameter, designed to store your own extra information about a video entity: video source, video id, etc. It is not used in any way in video processing.

For example, if an AI-task was created automatically when you uploaded a video with the AI auto-processing option (nudity detection, etc), then the ID of the associated video for which the task was performed will be explicitly indicated here.

Maximum string length: 4096
stop_objects
enum<string>

Comma separated objects, and probabilities, that will cause the processing to stop immediatelly after finding.

Available options:
ANUS_COVERED,
ANUS_EXPOSED,
ARMPITS_COVERED,
ARMPITS_EXPOSED,
BELLY_COVERED,
BELLY_EXPOSED,
BUTTOCKS_COVERED,
BUTTOCKS_EXPOSED,
FACE_FEMALE,
FACE_MALE,
FEET_COVERED,
FEET_EXPOSED,
FEMALE_BREAST_COVERED,
FEMALE_BREAST_EXPOSED,
FEMALE_GENITALIA_COVERED,
FEMALE_GENITALIA_EXPOSED,
MALE_BREAST_EXPOSED,
MALE_GENITALIA_EXPOSED

Response

Response returns ID of the created AI task. Using this AI task ID, you can check the status and get the video processing result. Look at GET /ai/results method.

task_id
string<uuid>
required

ID of the created AI task, from which you can get the execution result